/********************************************************************************************************\

	File Name:	FreighterTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( FreighterTeam_h )
#define FreighterTeam_h

#include "TeamInfo.h"


class tFreighterTeam : public tTeamInfo
{
public:
	
	tFreighterTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mSetupVictoryCondition();

	// custom added fucntion, refactored old freighter creation
	virtual void mOldCreateShipsForTeam( int32 numberOfFreighters );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
	};
};

#endif
