//	<Name>	FreighterTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( FreighterTeamShipInitialState_h )
#define FreighterTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "FreighterTeamShip.h"

class tFreighterTeamShipInitialState : public tChildActorState<tFreighterTeamShip>
{
public:
	enum eTimeIDs
	{

	};

	tFreighterTeamShipInitialState( );
	int32 fShipRandValue;

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
void mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value );

protected:

	int32	fThisShipWorldID;
	int32 fRestoreSpares;

};

#endif

