/********************************************************************************************************\

	File Name:	EnigmaTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Met_14Enigma.h"
#include "EnigmaTeam.h"
//#include "EnigmaTeamInitialState.h"
#include "EnigmaTeamShip.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "WorldConditions.h"

tClassAllocator<tEnigmaTeam> gEnigmaTeamAllocator;

tEnigmaTeam::tEnigmaTeam()
{
}
void tEnigmaTeam::mSetupVictoryCondition()
{
}
void tEnigmaTeam::mSetupState()
{
//	mRegisterState( new tEnigmaTeamInitialState() );

//	mGotoState( typeid( tEnigmaTeamInitialState ) );
}
void tEnigmaTeam::mSetupCommState()
{
}
void tEnigmaTeam::mCreateShipsForTeam()
{
	int32 enigmaBPV = 0;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam1 ) );
	int32 playerBPV = fMissionInfo->mRandomInt32(70,100);
	if (playerTeam) playerBPV = playerTeam->mGetCombatBPV();
	int32 enigmaDice = fMissionInfo->mRandomInt32( 70, 150 );

	enigmaBPV = ( (playerBPV * enigmaDice) / 100 );
	gWC.mAddEngima();

	// It really doesn't matter if this ship isn't era-accurate. It's an enigma!
	mCreateShip( 
		typeid( tEnigmaTeamShip ),
		enigmaBPV,
		kClassFrigate,
		kClassHeavyBattlecruiser,
		0,
		kStartPosition_Z, 
		-1, 0, 0, -1, -1, 
		NULL, 
		static_cast<eShipOptions>( kCanAddToFleetUponCapture ) );
}
void tEnigmaTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnigmaTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
}
