//	<Name>	EnigmaTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "EnigmaTeamShip.h"
#include "MissionText.h"
#include "WorldConditions.h"

#include "EnigmaTeamShipInitialState.h"

tClassAllocator<tEnigmaTeamShip> gEnigmaTeamShipAllocator;

tEnigmaTeamShip::tEnigmaTeamShip()
{
//	gWC.mAddAttackShip();
//	fThisShipWorldID = gWC.mGetNumAttackShips();
}
void tEnigmaTeamShip::mSetupState()
{
   tTeamInfo* ti = fMissionInfo->mGetTeamHandle( mGetTeam() );
   if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tEnigmaTeamShipInitialState( ) );

	mGotoState( typeid( tEnigmaTeamShipInitialState ) );
	}
}
void tEnigmaTeamShip::mSetupCommState()
{
}
void tEnigmaTeamShip::mSetupShip()
{
	// may have to use gGetMapPicked() for some missions
	int32 map = 1;
	int32 cust = mGetCustomID(); if (cust < 1) cust = 1;
	int32 seed = gWC.fMissionSeed; if (seed < 1) seed = 1;
	int32 bpv = mGetShipBPV(); if (bpv < 1) bpv = 1;
	int32 Team = mGetTeam(); if (Team < 1) Team = 1;
	int32 id = mGetShipID(); if (id < 1) id = 1;
	int32 fShipRandValue = map * cust * seed * bpv * Team * id;
	if (fShipRandValue < 0) fShipRandValue *= -1;
	int32 nummarines = mGetClassType() - 1;
	int32 stuffDice = 1 + (fShipRandValue % 11);
	mRemoveItemFromStores( kSpareParts, 100 );
	mRemoveItemFromStores( kMarines, 100 );
	mSetItemInStores( kMarines, kStandard, nummarines );
	switch (stuffDice) {
		case 1: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransBlackBox, 1); break;
		case 2: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransHarryMudd, 1); break;
		case 3: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransRomulanAle, 1); break;
		case 4: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransTribbles, 1); break;
		case 5: mAddItemToStores( kSpareParts, kStandard, 1 );	
			mAddItemToStores( kTransporterItem, kTransAlienArtifact, 1); break;
		case 6: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransWeaponSchematic, 1); break;
		case 7: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransMedicalSupplies, 1); break;
		case 8: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransInjuredDude, 1); break;
		case 9: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransMedicineJar, 1); break;
		case 10: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransLifePodDude, 1); break;
		default: mAddItemToStores( kSpareParts, kStandard, 1 );
			mAddItemToStores( kTransporterItem, kTransDilithiumCrystals, 1); break;
			break;
	}

}
int32 tEnigmaTeamShip::mGetThisShipID()
{
	return fThisShipWorldID;
}
