/********************************************************************************************************\

	File Name:	PlayerNPCTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerNPCTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerNPCTeamBaseState::mBeginState()
{}
void tPlayerNPCTeamBaseState::mEndState()
{}

void tPlayerNPCTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlayerNPCTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerNPCTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPCTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPCTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlayerNPCTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPCTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlayerNPCTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlayerNPCTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
													eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlayerNPCTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
													eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlayerNPCTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerNPCTeamBaseState::mOnHostChanged()
{}
void tPlayerNPCTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tPlayerNPCTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPCTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}


