//	<Name>	DefendTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( DefendTeamShipInitialState_h )
#define DefendTeamShipInitialState_h

#include "ChildActorState.h"
#include "DefendTeamShip.h"

class tDefendTeamShipInitialState : public tChildActorState<tDefendTeamShip>
{
public:
	enum eTimerIDs
	{
		kStartingID = 400,
		kEndingID,
		kDeepScanOnID,
		kCheckDistanceID,
		kGameOverCheckID,
		kFiredProbeID,
	};

	int32 fRestoreSpares;
	int32 fShipRandValue;
	tDefendTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengage( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
void mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value );
eSystemHardPoint mPickSystemAffected();
eSystemHardPoint fSystemAffected;

protected:

	int32 fThisShipWorldID;
	bool	fDeepScanON;
};

#endif

