//	<Name>	ScanShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "ScanShip.h"
#include "MissionText.h"
#include "ScanShipInitialState.h"
#include "WorldConditions.h"

tClassAllocator<tScanShip> gScanShipAllocator;

tScanShip::tScanShip()
{
	gWC.mAddDefendShip();
	fThisShipWorldID = gWC.mGetNumDefendShips();
}
void tScanShip::mSetupState()
{
	mRegisterState( new tScanShipInitialState( ) );

	mGotoState( typeid( tScanShipInitialState ) );
	
}

void tScanShip::mSetupCommState()
{
}

void tScanShip::mSetupShip()
{
	mSetShipCallbackEvents(  kNotifyDamage );
}
int32 tScanShip::mGetThisShipID()
{
	return fThisShipWorldID;
}
