//	<Name>	ScoutTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ScoutTeamInitialState_h )
#define ScoutTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "ScoutTeam.h"

class tScoutTeamInitialState : public tChildActorState<tScoutTeam>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kUpgradeFightersID,
	};

	tScoutTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );

protected:

	int32 totalTeamScoutedShips;
};

#endif

