//	<Name>	AttackTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "AttackTeamShip.h"
#include "MissionText.h"
#include "WorldConditions.h"

#include "AttackTeamShipInitialState.h"

tClassAllocator<tAttackTeamShip> gAttackTeamShipAllocator;

tAttackTeamShip::tAttackTeamShip()
{
	gWC.mAddAttackShip();
	fThisShipWorldID = gWC.mGetNumAttackShips();
}
void tAttackTeamShip::mSetupState()
{
   tTeamInfo* ti = fMissionInfo->mGetTeamHandle( mGetTeam() );
   if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tAttackTeamShipInitialState( ) );

	mGotoState( typeid( tAttackTeamShipInitialState ) );
   }
}
void tAttackTeamShip::mSetupCommState()
{
}
void tAttackTeamShip::mSetupShip()
{
	mSetShipCallbackEvents(  kNotifyDamage );
}
int32 tAttackTeamShip::mGetThisShipID()
{
	return fThisShipWorldID;
}
