/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

#else

	//kMissionTitle_msg,
	"Met_NW27AsteroidDefense",

	//kShortBriefing_msg,
	">Patrol duty<"
	"You have been assigned patrol duty for part of this sector",

	//kAttackBriefing_msg,
	">Destroy the asteroid base in this sector and disengage.<"
	"Your assignment is to destroy the small asteroid base in this sector.  You may run into defense ships but they are " \
	"of little concern, you must destroy the base.  Once the base is destroyed you are free to disengage\n\n" \
	"Dismissed.\n\n"
	"Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",
	
	//kDefenseBriefing_msg,
	">Defend the asteroid base in this sector against an enemy attack<"
	"Our asteroid base in this sector is coming under attack and you must defend it.  Destroy, capture, or simply drive off the " \
	"invaders.  Our presence this area must not be diminished.\n\n" \
	"Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//kFedAttackStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  Our orders are clear: to destroy an enemy asteroid base and then " \
	"disengage",

	//kKliAttackStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  Our patrol has been cut short.  Our new assignment is to destroy an enemy asteroid " \
	"base.",

	//kRomAttackStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE].  For the Empire, today we are assigned to attack and destroy " \
	"an enemy asteroid base.  We will prove ourselves worthy of this task.",

	//kLyrAttackStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE].  Our current assignment is to destroy an enemy asteroid " \
	"base located in this sector.",

	//kHydAttackStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE],  On patrol for the Kingdom.  We have been assigned the task of destroying " \
	"an enemy asteroid base in this sector.",


	//kGorAttackStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to destroy an enemy asteroid base in this sector and then disengage.",

	//kISCAttackStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE], on pacification patrol.  Our assignment is to destroy " \
	"an asteroid base of one of the primitive races.",

	//kMirAttackStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  Today we have the honor of hunting...rocks.  We are to attack and destroy an " \
	"enemy asteroid base.",

	//kFedDefenseStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  Our current assignment is to provide protection for forces in this " \
	"area.  The asteroid base in this sector is about to be attacked but we stand ready.",

	//kKliDefenseStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  We have been ordered to this system to provide support to the asteroid base " \
	"here against imminent attack.",

	//kRomDefenseStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE], on defense patrol.  The asteroid base in this sector is " \
	"under threat from enemy forces, we must do our best to defend it.",

	//kLyrDefenseStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE].  The Lyran asteriod base in this system is about to " \
	"be attacked.  We will prevent the invaders from prevailing.",

	//kHydDefenseStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE],  On defensive patrol for the Kingdom.  The Royal Kingdom's asteroid base " \
	"is about to come under attack from our enemies.  We shall stop their heinous acts.",

	//kGorDefenseStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  The asteroid base in this sector is about to come under " \
	"attack.  We must destroy these invaders and protect our base.",

	//kISCDefenseStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE], on pacification patrol.  Our " \
	"asteroid base in this system is in danger.  We will provide assistance and destroy these primitives.",

	//kMirDefenseStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  A group of cowards wishes to destroy our asteroid base in " \
	"this sector.  We shall hunt them down and feast on their carcasses.",

	//kAllYourShipsDead_msg,
	"All your ships have been destroyed!\n" \
	"Use 'T' to view other players...",

	//kAttackAstoundingVictory_msg,
	"Met_NW27AsteroidDefense\n\nAstounding Victory\n\n",
	//kAttackVictory_msg,
	"Met_NW27AsteroidDefense\n\nVictory\n\n",
	//kAttackDraw_msg,
	"Met_NW27AsteroidDefense\n\nDraw\n\n",
	//kAttackDefeat_msg,
	"Met_NW27AsteroidDefense\n\nDefeat\n\n",
	//kAttackDevastatingDefeat_msg,
	"Met_NW27AsteroidDefense\n\nDevastating Defeat\n\n",

	//kDefendAstoundingVictory_msg,
	"Met_NW27AsteroidDefense\n\nAstounding Victory\n\n",
	//kDefendVictory_msg,
	"Met_NW27AsteroidDefense\n\nVictory\n\n",
	//kDefendDraw_msg,
	"Met_NW27AsteroidDefense\n\nDraw\n\n",
	//kDefendDefeat_msg,
	"Met_NW27AsteroidDefense\n\nDefeat\n\n",
	//kDefendDevastatingDefeat_msg,
	"Met_NW27AsteroidDefense\n\nDevastating Defeat\n\n",

	//kLeftEarly_msg,
	"Forfeit.\n\n",

	//kPlayerTeam1Title_msg,
	"Asteroid Base Defense",

	//kAttackTeamTitle_msg,
	"Patrol",

	//kScanning_msg,
	"Beginning Scan...",

	//kYouAreDead_msg,
	"You have died.",

	//kYouHaveDisengaged_msg,
	"Your team has disengaged.\n" \
	"Use 'T' to view other players...",

#endif
};