/********************************************************************************************************\

	File Name:	ListeningPostBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ListeningPostBaseState.h"
#include "WorldConditions.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tListeningPostBaseState::mBeginState()
{
}

void tListeningPostBaseState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{

}


void tListeningPostBaseState::mEndState()
{}

void tListeningPostBaseState::mOnDeath( tShipInfo* ship )
{
	if (!ship) return;
	if ( ship->mGetCustomID() == kListeningPostID )
	{
		gWC.fListeningPostDestroyed = kTrue;
	}
}
void tListeningPostBaseState::mOnCapture( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tListeningPostBaseState::mAtDistance( tShipInfo* ship )
{}
void tListeningPostBaseState::mAtDestination( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tListeningPostBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tListeningPostBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tListeningPostBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tListeningPostBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tListeningPostBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tListeningPostBaseState::mOnFlashingButtonPressed()
{}
void tListeningPostBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tListeningPostBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tListeningPostBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tListeningPostBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tListeningPostBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tListeningPostBaseState::mOnHostChanged()
{}
void tListeningPostBaseState::mOnTimedInterval( int32 timerID )
{}
void tListeningPostBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tListeningPostBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

