/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	/*

		HELPER NOTE:	If you want random chatter, do not remove kRandChatID

	*/
	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
};

#endif



