/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_NW7BaseStationAssault",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Angriff auf die Basis",
	
	//	kTeamTitleDefend_msg,
	"Verteidigung der Basis",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Zerstren Sie die gegnerische Basis.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"Sie befinden sich in gegnerischem Territorium. Zerstren Sie die gegnerische Basis um jeden Preis.\n\n" \
	"Wegtreten.\n\n",
	
	//	kTeamBriefingDefend_msg,
	"Der Gegner droht, Ihre Basis zu zerstren. Verteidigen Sie sie um jeden Preis.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unsere Befehle lauten, die Basis der [TEAM4_RACE] in diesem Sektor zu zerstren.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir nhern uns einer Basis der [TEAM4_RACE]. Wir haben den Auftrag, " \
	"diese Basis um jeden Preis zu zerstren. Auf diese Weise strken wir die Fderation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Dies ist ein guter Moment, um zuzuschlagen. " \
	"Die Zerstrung der Basis der [TEAM4_RACE_PLURAL] in diesem Sektor wird ein Spaziergang werden.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einer Angriffsmission. Unsere Befehle lauten, den Gegner anzugreifen und " \
	"seine Basis zu zerstren.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen die Basis der [TEAM4_RACE] in diesem Sektor zerstren.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einer Angriffsmission fr das Knigreich. Es wurde uns befohlen, die Basis des Gegners zu zerstren.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen die Basis der [TEAM4_RACE] in diesem Sektor zerstren.\n\n",
	"Anschlieend sollen wir uns absetzen.",

	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir befinden uns im Territorium der [TEAM4_RACE]. Unsere Mission besteht darin, die " \
	"Basis des Gegners zu zerstren. Fr ein Volk wie das ISK wre es allerdings wesentlich beeindruckender, wenn wir die Basis erobern wrden.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind auf der Jagd nach den mickrigen [TEAM4_RACE_PLURAL]. Wir haben es auf ihre kostbare Basis abgesehen. Und wir werden ihre Basis zerstren.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unser Auftrag lautet, unsere Basis gegen die herannahenden Angreifer zu verteidigen.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Gegnerische Streitkrfte sind in unseren Sektor eingedrungen. Ihr Ziel kann eigentlich nur unsere Basis sein. Wir mssen sie um " \
	"jeden Preis beschtzen.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Diese dreckigen [TEAM1_RACE_PLURAL] glauben, dass sie die Klingonen berwltigen knnen? "\
	"Diese Spinner! Sie werden noch nicht einmal lange genug berleben, um festzustellen, dass sie sich geirrt haben. \n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Verteidigungseinsatz. Unsere Befehle lauten, den Gegner anzugreifen, bevor er die Gelegenheit hat, " \
	"unsere Basis zu zerstren.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen die Basis der [TEAM1_RACE_PLURAL] zerstren, bevor sie einen Angriff auf unsere Basis starten.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einer Verteidigungsmission fr das Knigreich. Wir sollen unsere Basis mit allen verfgbaren Mitteln verteidigen.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir haben den Befehl, unsere Basis vor den [TEAM1_RACE_PLURAL] zu verteidigen, die soeben in das System eingedrungen sind.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Diese [TEAM1_RACE_PLURAL] glauben, dass sie das ISK berwltigen knnen. " \
	"Wir werden sie vernichten, noch bevor sie merken, dass sie einen kapitalen Fehler gemacht haben.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir jagen die [TEAM1_RACE_PLURAL]. Wir werden ihnen das Fell abziehen. Wir werden sie vernichten und unsere Basis schtzen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Gute Arbeit. Die gegnerische Basis wurde zerstrt.\n\n",

	//	kDebLoserAttack_msg,
	"Unglcklicherweise war Ihr Versuch, die Basis zu zerstren, nicht von Erfolg gekrnt.\n\n",

	//	kDebWinnerDefend_msg,
	"Herzlichen Glckwunsch. Sie konnten die Basis erfolgreich verteidigen.\n\n",

	//	kDebLoserDefend_msg,
	"Unglcklicherweise hat der Gegner die wichtigsten Teile der Basis in Schutt und Asche gelegt. Leben Sie fr die noch kommenden Kmpfe.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Drcken Sie T, um zuzuschauen.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden!\n\n",

	// kDefeat_msg,
	"Niederlage!\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage!\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Verteidigerschiff zerstrt.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Verteidigerschiff erobert.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Verteidigerschiff deaktiviert.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Angreifendes Schiff zerstrt.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Angreifendes Schiff erobert.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Angreifendes Schiff deaktiviert.\n\n",
	
	//	kOTDDestroyed_msg,
	"Raumbasis zerstrt.\n\n",
	
	//	kOTDCaptured_msg,
	"Raumbasis erobert.\n\n",
	
	//	kOTDDisengaged_msg,
	"Raumbasis deaktiviert.\n\n",

	//
	//	Custom messages
	//

#else	////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_NW7ConvoyRaid",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Convoy Raid",
	
	//	kTeamTitleDefend_msg,
	"Patrol",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Neutralize the enemy convoy.\n\n" \
	"Dismissed.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"You have entered enemy territory. Neutralize the enemy convoy at all costs.\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",
	
	//	kTeamBriefingDefend_msg,
	"Enemies are threatening to destroy your convoy. Defend it at all costs.\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to neutralize the [TEAM4_RACE] convoy located in this sector.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are closing in on a [TEAM4_RACE] convoy. We are under orders to " \
	"neutralize this convoy at all costs. Doing so, will strengthen the Federation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. This is a good time to strike.  " \
	"Killing the [TEAM4_RACE_PLURAL] convoy in this sector will be easy.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on assault mission. Our orders are to engage the enemy and " \
	"neutralize their convoy.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to neutralize the [TEAM4_RACE] convoy in this sector.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  On a convoy assault for the Kingdom. We are to neutralize the enemy convoy.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to neutralize the [TEAM4_RACE] convoy located in this sector.\n\n",

	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. In [TEAM4_RACE] territory. Our mission is to neutralize the " \
	"enemy convoy. Although, capturing the convoy would be even more impressive for a race such as the ISC.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We will hunt down the puny [TEAM4_RACE_PLURAL] convoy and neutralize it.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to defend our convoy from incoming attackers.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. Enemy forces have entered our sector. Their target must be our convoy. We must protect " \
	"it at all costs.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. Those filthy [TEAM1_RACE_PLURAL] think that they can overtake the Klingons? "\
	"How foolish! They will not survive long enough to realize their error. \n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on defense. Our orders are to engage the enemy before they get a chance to " \
	"destroy our convoy.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to destroy the [TEAM1_RACE_PLURAL] before they can strike at our convoy.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  On a convoy defense for the Kingdom. We are to protect our convoy with everything we have.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to defend our convoy from the [TEAM1_RACE_PLURAL], who have just entered the system.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. Those [TEAM1_RACE_PLURAL] think that they can overcome the ISC.  " \
	"They will be destroyed before they have the chance to realize their mistake.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We must destroy the [TEAM1_RACE_PLURAL] and protect our convoy.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Job well done. The enemy convoy has been destroyed.\n\nMet_NW7ConvoyRaid",

	//	kDebLoserAttack_msg,
	"Unfortunately, you were unsuccessful in your attempt to destroy the convoy.\n\nMet_NW7ConvoyRaid",

	//	kDebWinnerDefend_msg,
	"Congratulations. You successfully defended the convoy.\n\nMet_NW7ConvoyRaid",

	//	kDebLoserDefend_msg,
	"Unfortunately, the enemy got the best of the convoy. Live to fight another day.\nMet_NW7ConvoyRaid",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	" ",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw!\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//	kLeftEarly_msg,
	"Mission ended\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Defender ship destroyed.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Defender ship captured.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Defender ship disengaged.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Attacker ship destroyed.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Attacker ship captured.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Attacker ship disengaged.\n\n",
	
	//	kOTDDestroyed_msg,
	"Freighter destroyed.\n\n",
	
	//	kOTDCaptured_msg,
	"Freighter captured.\n\n",
	
	//	kOTDDisengaged_msg,
	"Freighter disengaged.\n\n",

	//
	//	Custom messages
	//
#endif
};
