/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//kMissionTitle_msg,
	"Met_ED10Monster",

	//kShortBriefing_msg,
	">Patrouilleneinsatz<"
	"Ihnen wurde die Verantwortung fr die Patrouillen in diesem Sektor bergeben.",

	//kBriefing_msg,
	">Patrouillieren Sie in diesem Sektor. Greifen Sie den Gegner an, wenn er sich zeigt. Setzen Sie sich ab, wenn Sie zahlenmig stark unterlegen sind.<"
	"Sie wurden mit der Aufgabe betraut, in diesem Teil des Sektors Patrouillen zu fliegen. Dies ist eine wichtige Aufgabe und " \
	"fr unsere Interessen von vitaler Bedeutung. Ihre Mission besteht darin, alle merkwrdigen Vorkommnisse zu untersuchen und " \
	"jedes gegnerische Schiff anzugreifen. Wenn Sie allerdings zahlenmig stark unterlegen sind, sollten Sie sich absetzen. Uns bei Feindaktivitten in diesem Sektor zu warnen, " \
	"ist besser als mit diesem Wissen zu sterben.\n\n" \
	"Wegtreten.",

	//kFedStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir befinden uns auf Patrouillenflug in den Tiefen des Raums. Wir haben den Auftrag, " \
	"jedes gegnerische Schiff anzugreifen, auf das wir treffen. Sollten wir feststellen, dass wir zahlenmig stark unterlegen sind, sollen wir uns absetzen.",

	//kKliStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Whrend wir aus auf Patrouille befinden, sollen wir jedes gegnerische Schiff angreifen, auf das wir treffen, und wenn mglich " \
	"zerstren. Wenn wir in der Minderzahl sind, sollen wir uns absetzen.",

	//kRomStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Patrouillenflug in den Tiefen des Raums. Unsere Befehle lauten, jedes gegnerische Schiff anzugreifen, auf das wir treffen. "\
	"Wenn mglich, sollen wir sie zerstren, wenn wir in der Minderzahl sind, sollen wir uns absetzen.",

	//kLyrStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Unser Schiff ist auf einem Patrouillenflug. Wir haben den Auftrag, " \
	"alle gegnerischen Schiffe zu zerstren, auf die wir treffen, wenn wir jedoch zahlenmig berlegen sind, sollen wir uns absetzen.",

	//kHydStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einem Patrouillenflug fr das Knigreich. Wir sollen alle gegnerischen Schiffe zerstren, auf die wir treffen, "\
	"sollen uns aber nicht opfern, wenn wir zahlenmig unterlegen sind.",

	//kGorStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen alle gegnerischen Schiffe zerstren, auf die wir treffen. Wenn die gegnerischen Streitkrfte zahlenmig berlegen sind, " \
	"sollen wir uns absetzen.",

	//kISCStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir befinden uns auf einem Patrouillenflug. Wir haben den Auftrag, " \
	"alle gegnerischen Schiffe zu besiegen, auf die wir treffen. Wir haben Befehl, uns abzusetzen, wenn wir zahlenmig unterlegen sind.",

	//kMirStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Diese Jagd ist ein Patrouilleneinsatz. Wir haben Befehl, alle gegnerischen Schiffe zu zerstren, auf die wir treffen. Mglicherweise mssen wir " \
	"uns jedoch absetzen, wenn wir im Nachteil sind.",

	//kAllYourShipsDead_msg,
	"Alle Ihre Schiffe wurden zerstrt!\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",

	//kAttackAstoundingVictory_msg,
	"Groartiger Sieg\n\n",
	//kAttackVictory_msg,
	"Sieg\n\n",
	//kAttackDraw_msg,
	"Unentschieden\n\n",
	//kAttackDefeat_msg,
	"Niederlage\n\n",
	//kAttackDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kDefendAstoundingVictory_msg,
	"Groartiger Sieg\n\n",
	//kDefendVictory_msg,
	"Sieg\n\n",
	//kDefendDraw_msg,
	"Unentschieden\n\n",
	//kDefendDefeat_msg,
	"Niederlage\n\n",
	//kDefendDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Patrouille",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//kYouAreDead_msg,
	"",

	//kYouHaveDisengaged_msg,
	"Unser Team hat sich abgesetzt.\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",


#else
	//kMissionTitle_msg,
	"Met_ED10Colonization",

	//kShortBriefing_msg,
	">Colonization<"
	"You have been assigned the task of colonizing the small planet in this sector",

	//kBriefing_msg,
	">Take control of the small planet in this sector.<"
	"You have been assigned the task of securing this area of space.  This is an important job and " \
	"is vital to our interests.  Your mission is to take and maintain control of the small planet " \
	"located in this sector.\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//kFedStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are on colonization duty.  We are under orders to " \
	"colonize and control the small planet in this sector.",

	//kKliStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  Our orders are to expand the Klingon empire, taking control " \
	"of the small planet located nearby.",

	//kRomStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE], on colonization duty.  Our orders are to take control "\
	"of the planet in this sector.",

	//kLyrStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE].  Our vessel is ordered " \
	"to capture and hold the small planet in this sector.",

	//kHydStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE],  On duty for the Kingdom.  We are to capture the small local planet, "\
	"and hold it against any opposition.",

	//kGorStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to capture and control the small planet in this sector. " \
	"Enemy opposition is expected to be fierce.",

	//kISCStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE], on pacification duty.  We are to pacify " \
	"the small planet located in this sector.",

	//kMirStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We hunt on patrol.  We are ordered to capture and control " \
	"the small planet located in this sector.",

	//kAllYourShipsDead_msg,
	"All your ships have been destroyed!\n" \
	"Use 'T' to view other players...",

	//kAttackAstoundingVictory_msg,
	"Astounding Victory\n\nMet_ED10Colonization",
	//kAttackVictory_msg,
	"Victory\n\nMet_ED10Colonization",
	//kAttackDraw_msg,
	"Draw\n\nMet_ED10Colonization",
	//kAttackDefeat_msg,
	"Defeat\n\nMet_ED10Colonization",
	//kAttackDevastatingDefeat_msg,
	"Devastating Defeat\n\nMet_ED10Colonization",

	//kDefendAstoundingVictory_msg,
	"Astounding Victory\n\nMet_ED10Colonization",
	//kDefendVictory_msg,
	"Victory\n\nMet_ED10Colonization",
	//kDefendDraw_msg,
	"Draw\n\nMet_ED10Colonization",
	//kDefendDefeat_msg,
	"Defeat\n\nMet_ED10Colonization",
	//kDefendDevastatingDefeat_msg,
	"Devastating Defeat\n\nMet_ED10Colonization",

	//kLeftEarly_msg,
	"Forfeit.\n\nMet_ED10Colonization",

	//kPlayerTeam1Title_msg,
	"Patrol",
//*********************************
	//kScanning_msg,
	"Beginning Scan...",

	//kYouAreDead_msg,
	"You have died.",

	//kYouHaveDisengaged_msg,
	"Your team has disengaged.\n" \
	"Use 'T' to view other players...",

#endif
};