/********************************************************************************************************\

	File Name:	CommonPlayerShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonPlayerShip.h"
#include "CommonPlayerShipBaseState.h"
#include "WorldConditions.h"
#include "ScriptInterface.h"
#include "MissionText.h"

tClassAllocator<tCommonPlayerShip> gCommonPlayerShipAllocator;

void tCommonPlayerShip::mSetupState()
{
   tTeamInfo* ti = gWC.fTeamList[ mGetTeam() ];
    if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tCommonPlayerShipBaseState() );
	mGotoState( typeid( tCommonPlayerShipBaseState ) );
   }
}
 

void tCommonPlayerShip::mSetupCommState()
{
}


void tCommonPlayerShip::mSetupShip()
{
   tTeamInfo* team = gWC.fTeamList[ mGetTeam() ];
   if (!team->mIsTeamHumanControlled()) {
	   gWC.mLogCall(mGetClassName(), gWC.mGetBPV(mGetClassName()));
   }
}

tCommonPlayerShip::tCommonPlayerShip()
{
}
