/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h" 


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Mission Title that the teams will see.
	//
	kTeamTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebWinner_msg,
	kDebTie_msg,
	kDebLoser_msg,

	//
	//	Informative messages
	//
	kYouAreDead_msg,

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//
	kJamming_btn,
	kJamming_msg,
	kFiredEarly_msg,
	kFriendlyFire_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
};

extern std::string Messages[];


#endif


