//	<Name>	FreighterTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( FreighterTeamInitialState_h )
#define FreighterTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "FreighterTeam.h"

class tFreighterTeamInitialState : public tChildActorState<tFreighterTeam>
{
public:
	enum eTimeIDs
	{
		kUpgradeFightersID,
	};

	tFreighterTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:

};

#endif

