//	<Name>	FreighterTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "FreighterTeamShip.h"
#include "AttackTeam.h"
#include "MissionText.h"
#include "WorldConditions.h"
#include "Met_11ConvoyRaid.h"

#include "FreighterTeamShipInitialState.h"

tClassAllocator<tFreighterTeamShip> gFreighterTeamShipAllocator;

void tFreighterTeamShip::mSetupState()
{
   tTeamInfo* ti = fMissionInfo->mGetTeamHandle( mGetTeam() );
   if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tFreighterTeamShipInitialState( ) );

	mGotoState( typeid( tFreighterTeamShipInitialState ) );
	}
}

void tFreighterTeamShip::mSetupCommState()
{
}

void tFreighterTeamShip::mSetupShip()
{
	int32 speed = 11;

	mSetShipMaxSpeed( speed );
	mSetFinalDestination();
}
