/********************************************************************************************************\

	File Name:	GenericShip.cpp
	Descript:   Generic tShipInfo class for generic upgrade fighters code

\********************************************************************************************************/

#include "GenericShip.h"
#include "GenericShipBaseState.h"
#include "Met_11ConvoyRaid.h"
#include "worldconditions.h"
#include "ScriptInterface.h"


tClassAllocator<tGenericShip> gGenericShipAllocator;

void tGenericShip::mSetupState()
{
   tTeamInfo* ti = fMissionInfo->mGetTeamHandle( mGetTeam() );
   if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tGenericShipBaseState() );
	mGotoState( typeid( tGenericShipBaseState ) );
	}
}

void tGenericShip::mSetupCommState()
{}

void tGenericShip::mSetupShip()
{}
