/********************************************************************************************************\

	File Name:	AttackTeam2.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( AttackTeam2_h )
#define AttackTeam2_h

#include "TeamInfo.h"


class tAttackTeam2 : public tTeamInfo
{
public:

	tAttackTeam2();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );
/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{};

protected:

	int32 fdice;

};
#endif
