//	<Name>	QShipTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( QShipTeamInitialState_h )
#define QShipTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "QShipTeam.h"

class tQShipTeamInitialState : public tChildActorState<tQShipTeam>
{
public:
	enum eTimeIDs
	{
		kUpgradeFightersID,
	};

	tQShipTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:

};

#endif

