//	<Name>	QShipTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "QShipTeamShip.h"
#include "AttackTeam.h"
#include "MissionText.h"
#include "WorldConditions.h"

#include "QShipTeamShipInitialStates.h"

tClassAllocator<tQShipTeamShip> gQShipTeamShipAllocator;

void tQShipTeamShip::mSetupState()
{
   tTeamInfo* ti = fMissionInfo->mGetTeamHandle( mGetTeam() );
   if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tQShipTeamShipInitialState( ) );

	mGotoState( typeid( tQShipTeamShipInitialState ) );
	}
}

void tQShipTeamShip::mSetupCommState()
{
}

void tQShipTeamShip::mSetupShip()
{
	int32 speed = 14;
	mSetShipMaxSpeed( speed );
	mSetFinalDestination();
}
