//	<Name>	DefendTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "DefendTeamShip.h"
#include "MissionText.h"
#include "DefendTeamShipInitialState.h"
#include "WorldConditions.h"

tClassAllocator<tDefendTeamShip> gDefendTeamShipAllocator;

tDefendTeamShip::tDefendTeamShip()
{
	gWC.mAddDefendShip();
	fThisShipWorldID = gWC.mGetNumDefendShips();
}
void tDefendTeamShip::mSetupState()
{
   tTeamInfo* ti = fMissionInfo->mGetTeamHandle( mGetTeam() );
   if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tDefendTeamShipInitialState( ) );

	mGotoState( typeid( tDefendTeamShipInitialState ) );
	}
}

void tDefendTeamShip::mSetupCommState()
{
}

void tDefendTeamShip::mSetupShip()
{
	mSetShipCallbackEvents(  kNotifyTransportedItem );
}
int32 tDefendTeamShip::mGetThisShipID()
{
	return fThisShipWorldID;
}
