/********************************************************************************************************\

	File Name:	Met_18HomeworldAssault.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_18HomeworldAssault_h )
#define Met_18HomeworldAssault_h

#include "ScriptInterface.h"

// For EAW/OP detection
#include "soundnums.h"
#ifdef kSndPhaserFire
#define EAW 1
#else
#define OP 1
#endif


enum eCustomIDs
{
	kDefender1 = 1000,
	kDefender2,
	kDefender3,
	kOTD,
	kAttacker1,
	kAttacker2,
	kAttacker3,
};

enum eTeamTypes
{
	kAttackTeam1 = kTeam1,
	kAttackTeam2,
	kAttackTeam3,
	kDefendTeam1,
	kDefendTeam2,
	kDefendTeam3 = kDefendTeam2,
	kPlanetTeam,
};

enum eTags
{
	kAttackTag = kTagA,
	kDefendTag = kTagB,
};

enum ePrestigeValues
{
	kPrestigeDestroyShip = 50,
	kPrestigeCaptureShip = 100,
	kPrestigeDestroyOTD = 150,
	kPrestigeCaptureOTD = 300,
};

class tVictoryCondition;

class tMet_18HomeworldAssault : public tScript
{
public:

	tMet_18HomeworldAssault();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );

	iMissSpecRace	mTranslateHexIntoRace( tMetaLocationSpec hex );
};

#endif


