/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//kMissionTitle_msg,
	"Met_19Scan",

	//kShortBriefing_msg,
	">Scan<"
	"Nhern Sie sich bis auf 10 und scannen Sie den Planeten mit Ihren Tiefenscannern.",

	//kScannerBriefing_msg,
	">Nhern Sie sich bis auf 10 und scannen Sie den Planeten mit Ihren Tiefenscannern.<"
	"Sie sollen den Planeten in diesem Sektor scannen und sich dann zurckziehen. Wenn Sie angegriffen werden, drfen Sie sich verteidigen. Gehen Sie, um den " \
	"Scan durchzufhren, bis auf 10 heran und setzen Sie Ihre Tiefenscanner ein.\n\n" \
	"Wegtreten.",

	//kOtherBriefing_msg,
	">Patrouillieren Sie diesen Sektor. Bekmpfen Sie den Gegner bei Kontakt. Ziehen Sie sich bei groer berzahl zurck.<"
	"Sie haben die Aufgabe erhalten, diesen Bereich des Sektors zu patrouillieren. Das ist eine wichtige Aufgabe von " \
	"entscheidender Bedeutung fr unsere Interessen. Untersuchen Sie alle ungewhnlichen Anzeichen und " \
	"greifen Sie alle gegnerischen Schiffe an. Wenn der Gegner Ihnen zu weit berlegen ist, sollten Sie sich zurckziehen. Manchmal kommt es vor allem aufs berleben an.\n\n" \
	"Wegtreten.",

	//kPlanet_name,
	"Zielplanet",

	//kFedScanStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir haben einen wissenschaftlichen Auftrag zum Scannen des Planeten in diesem Sektor. Wir " \
	"mssen uns dazu auf eine Entfernung von hchstens 10 nhern und den Scan mit unseren Tiefenscannern durchfhren.",

	//kKliScanStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Wir sollen einen interessanten Planeten in diesem Sektor scannen. Wir mssen uns bis auf eine Entfernung "\
	"von 10 nhern und das Ziel mit unseren Tiefenscannern abtasten.",

	//kRomScanStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums [STARDATE], mit dem Auftrag zur Informationseinholung. Wir mssen uns auf " \
	"eine Entfernung von hchstens 10 nhern und den Planeten mit unserem Tiefenscanner abtasten.",

	//kLyrScanStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium [STARDATE].  Wir sollen unsere Tiefenscanner einsetzen, um aus einer Entfernung von " \
	"unter 10 Einheiten Daten ber einen Planeten in diesem Sektor einzuholen.",

	//kHydScanStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Auf Patrouille fr das Knigreich. Im Auftrag der Wissenschaft sollen wir einen Planeten " \
	"in diesem Sektor mit unseren Tiefenscannern abtasten. Dazu darf unsere Entfernung nicht mehr als 10 betragen.",

	//kGorScanStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen unsere Tiefenscanner einsetzen, um aus einer Entfernung von " \
	"hchstens 10 Einheiten Daten zu einem Planeten in diesem Sektor zu erfassen.",

	//kISCScanStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE], auf Befriedungspatrouille. Wir sollen Planeten " \
	"in diesem Sektor untersuchen. Dazu mssen wir unsere Tiefenscanner aus einer Entfernung von nicht mehr als 10 Einheiten einsetzen.",

	//kMirScanStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir haben den Auftrag, Planeten fr die Jagd zu untersuchen. Wir mssen uns bis auf " \
	"eine Entfernung von 10 nhern und unsere Tiefenscanner einsetzen, um diese Aufgabe zu erfllen.",

	//kFedStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir befinden uns auf Patrouille im tiefen Weltraum. Wir haben Befehl, jeden Gegner " \
	"anzugreifen, der uns begegnet. Falls er uns zu weit berlegen ist, sollen wir uns zurckziehen.",

	//kKliStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Whrend wir Patrouille fliegen, sollen wir jeden Gegner angreifen und vernichten, " \
	"wenn mglich. Bei berzahl sollen wir uns zurckziehen.",

	//kRomStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums [STARDATE], auf Patrouille im tiefen Weltraum. Wir haben Befehl, alle gegnerischen Schiffe auf unserem Kurs anzugreifen. "\
	"Sie sollen wenn mglich zerstrt werden, bei berzahl wird aber der Rckzug befohlen.",

	//kLyrStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium [STARDATE]. Unser Schiff ist auf Patrouille. Wir sollen alle gegnerischen Schiffe " \
	"vernichten, die uns begegnen, uns bei zu groer Feuerkraft aber zurckziehen, anstatt unser Leben aufs Spiel zu setzen.",

	//kHydStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE], auf Patrouille fr das Knigreich. Wir sollen alle Gegner auf unserem Kurs vernichten, "\
	"aber nicht unser Leben opfern, wenn wir einer bermacht gegenberstehen.",

	//kGorStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen alle angetroffenen Gegner vernichten. Ist die bermacht zu stark, " \
	"sollen wir uns zurckziehen.",

	//kISCStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE], auf Befriedungspatrouille. Wir sollen alle gegnerischen " \
	"Schiffe besiegen. Bei berzahl haben wir Befehl uns zurckzuziehen.",

	//kMirStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind auf Patrouille. Wir haben Befehl, alle Gegner zu vernichten. Wir drfen uns " \
	"zurckziehen, wenn wir unterlegen sind.",

	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: Wir haben die ntigen Planetendaten. Primrziel erfllt.",

	//kProbe_msg,
	"Wissenschaftsoffizier: Erfassen Daten mit der Sonde.",

	//kAllYourShipsDead_msg,
	"All Ihre Schiffe wurden zerstrt!\n" \
	"Sehen Sie sich mit 'T' die anderen Spieler an...",

	//kAttackAstoundingVictory_msg,
	"Groartiger Sieg\n\n",
	//kAttackVictory_msg,
	"Sieg\n\n",
	//kAttackDraw_msg,
	"Unentschieden\n\n",
	//kAttackDefeat_msg,
	"Niederlage\n\n",
	//kAttackDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kDefendAstoundingVictory_msg,
	"Groartiger Sieg\n\n",
	//kDefendVictory_msg,
	"Sieg\n\n",
	//kDefendDraw_msg,
	"Unentschieden\n\n",
	//kDefendDefeat_msg,
	"Niederlage\n\n",
	//kDefendDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kLeftEarly_msg,
	"Aufgeben\n\n",

	//kPlayerTeam1Title_msg,
	"Scan",

	//kOtherPlayersTitle_msg,
	"Patrouille",

	//kScanning_msg,
	"Scan wird gestartet...",

	//kYouAreDead_msg,
	"Sie sind tot.",

	//kYouHaveDisengaged_msg,
	"Ihr Team hat sich zurckgezogen.\n" \
	"Sehen Sie sich mit 'T' die anderen Spieler an...",


#else

	//kMissionTitle_msg,
	"Met_NW19Scan",

	//kShortBriefing_msg,
	">Scan<"
	"Get to within a distance of 10 and scan the planet using your deep scanners.",

	//kScannerBriefing_msg,
	">Get to within a distance of 10 and scan the planet using your deep scanners.<"
	"You are to eliminate any hostiles in the area and survey the planet.  To complete " \
	"the survey, get to within a distance of 10 and scan with your deep scanners.\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//kOtherBriefing_msg,
	">Patrol this sector.  Engage the enemy if encountered.  Disengage if heavily outnumbered.<"
	"You have been assigned the task of patrolling this part of the sector.  This is an important job and " \
	"is vital to our interests.  Your mission is to investigate any strange readings and " \
	"engage any enemy ships.  If you are heavily outnumbered you should disengage.  Sometimes survival is its own reward.\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//kPlanet_name,
	"Target Planet",

	//kFedScanStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are on a science mission to scan the planet in this sector.  It " \
	"will be neccessary to close to a distance of less than 10 and complete the scan using our deep scanners.",

	//kKliScanStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  We are to scan a planet of interest in this sector.  We must close to a range "\
	"of 10 and scan the target using our deep scanners.",

	//kRomScanStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE], on a mission of intelligence gathering.  We must close to " \
	"a range no greater than 10 and scan the planet using our deep scanner.",

	//kLyrScanStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE].  We are to use our deep scanners to gather data on " \
	"a planet in this sector from a range of less than 10 units.",

	//kHydScanStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE],  On patrol for the Kingdom.  On a mission of science we are to scan " \
	"a planet in this sector using our deep scanners.  To achieve this we must be at a range no greater than 10.",

	//kGorScanStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  We are to use our deep scanners to gather data on " \
	"a planet in this sector from a range of less than 10 units.",

	//kISCScanStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE], on pacification patrol.  We are to survey " \
	"planets in this sector.  To accomplish this we will use our deep scanners at a range no greater than 10 units.",

	//kMirScanStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We are given the task of surveying planets for the Hunt.  We must close " \
	"to within a distance of 10 and use our deep scanners in order to complete this task",

	//kFedStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are on deep space patrol.  We are under orders to " \
	"engage any enemy encountered.  If we should find ourselves heavily outnumbered, we are to disengage.",

	//kKliStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  While on patrol, we are to engage any enemy encountered and destroy them " \
	"if possible.  If outnumbered, we are to disengage.",

	//kRomStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE], on deep patrol.  Our orders are to engage any enemy ships encountered. "\
	"We are to destroy them if possible, but disengage if outnumbered.",

	//kLyrStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE].  Our vessel is on patrol.  We are to destroy any " \
	"enemy ships encountered, but we are to disengage rather than die if outgunned.",

	//kHydStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE],  On patrol for the Kingdom.  We are to destroy any enemies encountered, "\
	"but we are not to sacrifice ourselves if met by an overwhelming force.",

	//kGorStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to destroy any enemy encountered.  If the enemy force is overwhelming, " \
	"we are to disengage.",

	//kISCStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE], on pacification patrol.  We are to defeat any " \
	"enemy ships encountered.  We are ordered to disengage if outnumbered.",

	//kMirStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We are on patrol.  We are ordered to destroy any enemy encountered.  We may " \
	"disengage if at a disadvantage.",

	//kScannedPlanet_msg,
	"Science Officer: We have the planetary data we came for.  Primary objective complete.",

	//kProbe_msg,
	"Science Officer: Gathering data from probe.",

	//kAllYourShipsDead_msg,
	"All your ships have been destroyed!\n" \
	"Use 'T' to view other players...",

	//kAttackAstoundingVictory_msg,
	"Astounding Victory\n\nMet_NW19Scan",
	//kAttackVictory_msg,
	"Victory\n\nMet_NW19Scan",
	//kAttackDraw_msg,
	"Draw\n\nMet_NW19Scan",
	//kAttackDefeat_msg,
	"Defeat\n\nMet_NW19Scan",
	//kAttackDevastatingDefeat_msg,
	"Devastating Defeat\n\nMet_NW19Scan",

	//kDefendAstoundingVictory_msg,
	"Astounding Victory\n\nMet_NW19Scan",
	//kDefendVictory_msg,
	"Victory\n\nMet_NW19Scan",
	//kDefendDraw_msg,
	"Draw\n\nMet_NW19Scan",
	//kDefendDefeat_msg,
	"Defeat\n\nMet_NW19Scan",
	//kDefendDevastatingDefeat_msg,
	"Devastating Defeat\n\nMet_NW19Scan",

	//kLeftEarly_msg,
	"Forfeit\n\nMet_NW19Scan",

	//kPlayerTeam1Title_msg,
	"Investigation",

	//kOtherPlayersTitle_msg,
	"Patrol",

	//kScanning_msg,
	"Beginning Scan...",

	//kYouAreDead_msg,
	"You have died.",

	//kYouHaveDisengaged_msg,
	"Your team has disengaged.\n" \
	"Use 'T' to view other players...",

#endif
};