//	<Name>	ScanTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ScanTeamInitialState_h )
#define ScanTeamInitialState_h

#include "ChildActorState.h"
#include "DefendTeam.h"
#include "DefendTeam2.h"

class tScanTeamInitialState : public tChildActorState<tDefendTeam>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kUpgradeFightersID,
	};

	tScanTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );

protected:

};

#endif
