/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN


	// kMissionTitle_msg,
	"Met_NW1Scout",

	//kShortBriefing_msg,
	"Eine Truppe Scouts ist in den Sektor eingedrungen.",


	//kScoutTeamBriefing_msg,
	">Scannen Sie mit Ihren Tiefenscannern bei einer Reichweite von unter 10 so viele gegnerische Schiffe wie mglich, und machen Sie sich dann davon.<" \
	"Sie haben den Auftrag erhalten, einen Vorsto in feindliches Territorium zu unternehmen, um eine Scout-Operation durchzufhren. Ihre einzige Aufgabe besteht darin, " \
	"so viele Schiffe wie mglich zu scannen und sich dann aus der Gegend abzusetzen. Verwenden Sie Ihre Tiefenscanner bei einer Reichweite von unter 10, "\
	"um diese Informationen zu sammeln. Umfassende Informationen ber die gegnerische Flotte sind fr unsere Operationen in diesem Sektor von grter Wichtigkeit.\n\n" \
	"Wegtreten.",

	//kTeamScoutedBriefing_msg,
	">Achten Sie auf gegnerische Scout-Trupps, und halten Sie sie auf.<" \
	"Wir haben Berichte ber Scout-Aktivitten in diesem Sektor erhalten. Es ist auerordentlich wichtig, dass die " \
	"Zusammensetzung unserer Flotte geheim gehalten wird. Wenn die Flotte gescannt wird, sorgen Sie dafr, dass der Scout nicht zurck zu " \
	"seiner Basis gelangen kann, um Bericht zu erstatten.",


	
	//kFedScoutTeamStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Es wurde uns die Aufgabe bertragen, einen Vorsto in vom Gegner gehaltenes Territorium zu machen und " \
	"deren Flotte zu scannen. Wir werden wahrscheinlich stark in der Minderzahl sein, und ein Entkommen wird schwierig werden.",
	//kKliScoutTeamStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Wir sind in den gegnerischen Raum eingedrungen, um so viele ihrer Raumschiffe wie " \
	"mglich zu scannen und anschlieend mit den Daten zurckzukehren.",
	//kRomScoutTeamStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Unsere Mission besteht darin, uns in den gegnerischen Raum einzuschleichen und " \
	"die Schiffe der gegnerischen Flotte zu scannen. Nach Abschluss der Aktion mssen wir mit den Informationen nach Hause zurckkehren.",
	//kLyrScoutTeamStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, Haus des Klans der roten Klauen, [STARDATE]. Wir sind im Rahmen einer Aufklrungsmission in den gegnerischen Raum " \
	"eingedrungen. Wir sollen so viele gegnerische Schiffe wie mglich scannen und, zu unserer Schande, mglichst zurckkehren, ohne uns in einen Kampf verwickeln zu lassen.",
	//kGorScoutTeamStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Unsere Mission besteht darin, die gegnerischen Schiffe zu scannen und mit den Informationen in den Raum der Gorn " \
	"zurckzukehren.",
	//kMirScoutTeamStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir wurden beauftragt, heute Vorbereitungen fr den Jagdzug anderer zu treffen. Wir sind mit dem Ziel " \
	"in den gegnerischen Raum eingedrungen, die feindliche Flotte zu scannen, und sollen dann in den mirakischen Raum zurckkehren.",
	//kHydScoutTeamStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Es wurde uns die Ehre bertragen, in den gegnerischen Raum einzudringen, um deren " \
	"Flotte zu scannen. Wir wollen hoffen, dass die Gtter der List an diesem Tag auf unserer Seite sind, so dass wir mit den Daten aus der Schlacht entkommen knnen.",
	//kISCScoutTeamStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Im Namen des intergalaktischen Friedens sind wir " \
	"in den gegnerischen Raum eingedrungen, um deren Flotte zu scannen. Die Daten, die wir sammeln knnen, mssen sicher zu unserem Volk zurckgebracht werden.",




	//kFedTeamScoutedStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Unsere Aufklrung hat uns informiert, dass ein gegnerischer Scout-Trupp in diesen " \
	"Sektor eingedrungen ist. Wir mssen die Eindringlinge daran hindern, ihre Operation auszufhren.",
	//kKliTeamScoutedStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. In diesem Teil des Raums wurde ein fremder Scout-Trupp entdeckt. Wir mssen ihn " \
	"jagen und zur Strecke bringen, bevor er zurckkehren kann.",
	//kRomTeamScoutedStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Die Tal Shiar hat gesehen, dass sich ein gegnerischer Scout-Trupp " \
	"in diesem Sektor befindet. Wir mssen diesen Scout-Trupp vernichten, bevor er unseren Raum wieder verlassen kann.",
	//kLyrTeamScoutedStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, Haus des Klans der roten Klauen, [STARDATE]. Ein gegnerisches Opfer ist mit dem Ziel in unseren Raum eingedrungen, " \
	"Informationen zu sammeln. Wir werden es tten und den Ruhm fr unseren Klan beanspruchen.",
	//kGorTeamScoutedStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Im Raum der Gorn wurden gegnerische Schiffe entdeckt. Wir mssen dafr sorgen, dass diese " \
	"Eindringlinge niemals nach Hause zurckkehren knnen.",
	//kMirTeamScoutedStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Ein gegnerischer Scout-Trupp hat die Hoheit des mirakischen Raums verletzt. Heute werden sich die Jger " \
	"am Blut einer ruhmreich erlegten Beute gtlich tun.",
	//kHydTeamScoutedStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Ein ehrloser gegnerischer Scout hat es gewagt, in den Raum des hydranischen Knigreiches einzudringen. " \
	"Wir werden sie jagen und dafr sorgen, dass sie ihr bedeutungsloses Leben aushauchen.",
	//kISCTeamScoutedStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Gegnerische Wilde wurden in diesem Bereich bei dem Versuch entdeckt, " \
	"ihre Nase in unsere Angelegenheiten zu stecken. Wir werden tun, was notwendig ist, und sie vernichten.",

	//kScoutScannedShip_msg,
	"Wissenschaftsoffizier: Wir haben den Scan des Zielschiffes abgeschlossen.",
	//kScoutScannedHalf_msg,
	"Wissenschaftsoffizier: Wir haben die Hlfte der gegnerischen Flotte gescannt, [PLAYER_RANK].",
	//kScoutScannedAll_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK] [PLAYER_NAME], wir haben alle erforderlichen Daten gesammelt. Wir knnen uns jetzt absetzen.",

	//kTeamScoutedScannedShip_msg,
	"Wissenschaftsoffizier: Sie haben eines unserer Schiffe gescannt, [PLAYER_RANK].",
	//kTeamScoutedScannedHalf_msg,
	"Wissenschaftsoffizier: Sie haben die Hlfte unserer Flotte gescannt, [PLAYER_RANK], wir mssen sie aufhalten!",
	//kTeamScoutedScannedAll_msg,
	"Wissenschaftsoffizier: Sie haben alle unsere Schiffe gescannt und versuchen nun, mit den Daten zu entkommen!",

	//kSeverlyDamaged_msg,
	"Leiter Maschinenraum: [PLAYER_RANK], wir sind schwer beschdigt. Wir sollten uns jetzt mit den gesammelten Daten davonmachen.",

	// kScoutAstoundingVictory_msg,
	"Groartiger Sieg!\n\n" \
	"Gratulation, die Informationen, die Sie gesammelt haben, werden sich als sehr ntzlich erweisen.\n\n" \
	"Wegtreten.",
	// kScoutVictory_msg,
	"Sieg!\n\n"
	"Gute Arbeit. Sie konnten Daten ber einen Groteil der gegnerischen Flotte sammeln. Es ist nicht alles, was wir uns gewnscht htten, aber diese " \
	"Informationen sind ein guter Anfang.\n\n"
	"Wegtreten.",
	// kScoutDraw_msg,
	"Unentschieden\n\n" \
	"Eigentlich hatten wir von dieser Mission mehr erwartet. Aber zumindest haben Sie es geschafft, mit heiler Haut zurckzukommen.\n\n" \
	"Wegtreten.",
	// kScoutDefeat_msg,
	"Niederlage\n\n" \
	"Sie haben es noch nicht einmal geschafft, ein einziges Schiff zu scannen. Ich denke, wir sollten die Richtung neu bewerten, in die Ihre Karriere gehen soll.\n\n" \
	"Wegtreten.",
	// kScoutDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kTeamScoutedAstoundingVictory_msg,
	"Groartiger Sieg!\n\n"
	"Gute Arbeit, [PLAYER_RANK]. Indem Sie das gegnerische Scout-Schiff erobert haben, haben Sie uns in dieser Schlacht um Informationen einen wichtigen Vorteil verschafft.\n\n" \
	"Wegtreten.",
	//kTeamScoutedVictory_msg,
	"Sieg!\n\n"
	"[PLAYER_RANK] [PLAYER_NAME], wir sind sehr zufrieden mit der Arbeit, die Sie heute geleistet haben. Es ist uerst wichtig, dass diese Informationen nicht in die Hnde des Gegners" \
	"gelangen.\n\n"
	"Wegtreten.",
	//kTeamScoutedDraw_msg,
	"Unentschieden\n\n"
	"Sie haben den gegnerischen Scout entkommen lassen. Glcklicherweise konnte er nur wenige Informationen sammeln.\n\n" \
	"Wegtreten.",
	//kTeamScoutedDefeat_msg,
	"Niederlage\n\n"
	"Sie haben uns schwer enttuscht. Sie haben den Scout entkommen lassen, obwohl er wichtige Daten ber unsere Flotte sammeln konnte.\n\n" \
	"Wegtreten.",
	//kTeamScoutedDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n"
	"Sie knnten keine grere Niederlage erlitten haben. Wie konnten Sie es auch nur einem einzigen Schiff erlauben zu entkommen, nachdem sie Ihre "
	"gesamte Flotte gescannt hatten?\n\n" \
	"Wegtreten.",

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Scout",

#else		///////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg,
	"Met_NW1Scout",

	//kShortBriefing_msg,
	"A scouting party has entered the sector",


	//kScoutTeamBriefing_msg,
	">With one ship, scan as many enemy units as possible by using your deep scanners at a range less than 10.<" \
	"You have been ordered to take a single ship into enemy territory to conduct a scouting operation.  You are to " \
	"scan as many units as you can, using your deep scanners at a range less than 5.  Of course, if you can also "\
	"afterward eliminate the enemy vessels that would be even better - giving us key information AND control of the sector.\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//kTeamScoutedBriefing_msg,
	">Be alert for and stop any enemy scouting parties.<" \
	"We have received reports of scouting activity in this sector.  It is important that you keep the " \
	"composition of our fleet a secret.  If the fleet is scanned, make sure the scout does not make it back to their " \
	"base with the report.\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",


	
	//kFedScoutTeamStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. We have been assigned the task of taking a single ship into enemy held territory and " \
	"scanning the enemy units.  We will likely be outnumbered and escape will be difficult.",
	//kKliScoutTeamStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  We have entered enemy space with a single ship in order to scan as many of their units as " \
	"possible, then we are to return with the data.",
	//kRomScoutTeamStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE].  Our mission is to sneak one ship into enemy space and preform " \
	"scans on the enemy units.  Once completed, we must return home with the information.",
	//kLyrScoutTeamStart_msg,
	"[PLAYER_NAME]: Commander's journal, House Red Claw Clan [STARDATE].  We have taken a lone ship into enemy space on a reconnaissance " \
	"mission.  We must scan as many enemy units as possible and then, to our shame, escape with limited combat.",
	//kGorScoutTeamStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  Our mission is to scan the enemy units with a single ship and return to Gorn space with " \
	"information.",
	//kMirScoutTeamStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We have been ordered to prepare the hunt for others today.  We have entered " \
	"enemy space in a lone vessel with the intention of scanning the enemy units, and then we are to return to Mirak space.",
	//kHydScoutTeamStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  We have been assigned the honor of entering enemy space in a lone ship to scan their " \
	"units.  Let us hope that the gods of stealth are with us this day as we escape from the battle with the data.",
	//kISCScoutTeamStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  In the name of Intragalactic Peace, we have " \
	"entered enemy space with a solitary vessel to scan the enemy units.  The data we gather must then be safely returned to our people.",




	//kFedTeamScoutedStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  Intelligence has reported the presence of an enemy scouting party in this " \
	"sector.  We must prevent these intruders from carrying out this operation.",
	//kKliTeamScoutedStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  An alien scouting party has been detected in this area of space.  We must hunt " \
	"it down and kill it before it reaches home.",
	//kRomTeamScoutedStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE].  The Tal Shiar has learned of an enemy scouting party " \
	"in this sector.  We must destroy this scout before it can leave our space.",
	//kLyrTeamScoutedStart_msg,
	"[PLAYER_NAME]: Commander's journal, House Red Claw Clan [STARDATE].  An enemy victim has entered our space with the " \
	"intent of gathering information.  We shall kill them and claim honor for our Clan.",
	//kGorTeamScoutedStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  Enemy ships have been detected in Gorn space.  We must ensure that these " \
	"intruders never make it home.",
	//kMirTeamScoutedStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  An enmey scouting party has been violating Mirak space.  Today the hunter shall " \
	"feast on the blood of the glorious kill.",
	//kHydTeamScoutedStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  An undignified enemy scout has dared to enter the Hydran Kingdom's space.  " \
	"We will hunt them down and bring their meanless lives to an end.",
	//kISCTeamScoutedStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  Enemy savages have been detected in the area " \
	"trying to 'snoop' into our business.  We shall do what we must and destroy them.",

	//kScoutScannedShip_msg,
	"Science Officer: We have complete scan of target.  We are relaying the information to the fleet now, sir.",
	//kScoutScannedHalf_msg,
	"Science Officer: We have scanned half of the enemy units [PLAYER_RANK]",
	//kScoutScannedAll_msg,
	"Science Officer: [PLAYER_RANK] [PLAYER_NAME], we have all the required data.  We may disengage now.",

	//kTeamScoutedScannedShip_msg,
	"Science Officer: They have scanned one of our ships [PLAYER_RANK].",
	//kTeamScoutedScannedHalf_msg,
	"Science Officer: They have scanned half of our fleet [PLAYER_RANK], we need to stop them!",
	//kTeamScoutedScannedAll_msg,
	"Science Officer: They have scanned all our ships and are going to escape with the data!",

	//kSeverlyDamaged_msg,
	"Engineering Officer: [PLAYER_RANK] we are severly damaged.  We should leave now with the data we have collected.",

	// kScoutAstoundingVictory_msg,
	"Astounding Victory!\n\n" \
	"Congratulations, you did quite well today.\n\n" \
	"Dismissed\nMet_NW1Scout",
	// kScoutVictory_msg,
	"Victory!\n\n"
	"Good work.  You were able to gather data on most of the enemy's fleet.  It is not all we wanted, but this " \
	"information is a good start.\n\n"
	"Dismissed\nMet_NW1Scout",
	// kScoutDraw_msg,
	"Draw\n\n" \
	"This is not what we had hoped for.\n\n" \
	"Dismissed\nMet_NW1Scout",
	// kScoutDefeat_msg,
	"Defeat\n\n" \
	"You failed in your mission.  I think we should reevaluate the direction your career is going.\n\n" \
	"Dismissed.\nMet_NW1Scout",
	// kScoutDevastatingDefeat_msg,
	"Devastating Defeat\n\n Your performance was appalling",

	//kTeamScoutedAstoundingVictory_msg,
	"Astounding Victory!\n\n"
	"Good work [PLAYER_RANK], by capturing the enemy scout ship, you have given us the edge in this battle for information.\n\n" \
	"Dismissed\nMet_NW1Scout",
	//kTeamScoutedVictory_msg,
	"Victory!\n\n"
	"[PLAYER_RANK] [PLAYER_NAME], we are very pleased with your work today.  Keeping that information out of enemy hands is very" \
	"important.\n\n"
	"Dismissed\nMet_NW1Scout",
	//kTeamScoutedDraw_msg,
	"Draw\n\n"
	"You let the enemy scout escape.  Fortunately the information he gathered was minimal.\n\n" \
	"Dismissed\nMet_NW1Scout",
	//kTeamScoutedDefeat_msg,
	"Defeat\n\n"
	"We are disappointed in you.  You allowed the scout to escape after he gained significant data on your fleet.\n\n" \
	"Dismissed\nMet_NW1Scout",
	//kTeamScoutedDevastatingDefeat_msg,
	"Devastating Defeat\n\n"
	"This could not have been a worse defeat for you.  How could you allow a single ship to escape after scanning your "
	"entire fleet.\n\n" \
	"Dismissed\nMet_NW1Scout",

	//kLeftEarly_msg,
	"Forfeit\n\n",

	//kPlayerTeam1Title_msg,
	"Scout",

#endif
};


