//	<Name>	ScoutTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ScoutTeamShipInitialState_h )
#define ScoutTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "ScoutTeamShip.h"

class tScoutTeamShipInitialState : public tChildActorState<tScoutTeamShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
	};

	tScoutTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:

	bool fDeepScanON;
	bool fHalfOfShipsScanned;
	bool fShipHalfDestroyed;

};

#endif

