//	<Name>	BaseTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( BaseTeamInitialState_h )
#define BaseTeamInitialState_h

#include "ChildActorState.h"
#include "BaseTeam.h"

class tBaseTeamInitialState : public tChildActorState<tBaseTeam>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kUpgradeFightersID,
	};

	tBaseTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );

protected:

};

#endif
