/********************************************************************************************************\

	File Name:	DefendTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( DefendTeam_h )
#define DefendTeam_h

#include "TeamInfo.h"


class tDefendTeam : public tTeamInfo
{
public:
	
	tDefendTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/

public:

	int32 fCustomID;		//	keeps track of the custom ID of each human-controlled ship.
	int32 fNumShips;		//	number of ships on this particular team.
};

#endif
