/********************************************************************************************************\

	File Name:	DefendTeam3.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( DefendTeam3_h )
#define DefendTeam3_h

#include "TeamInfo.h"


class tDefendTeam3 : public tTeamInfo
{
public:

	int32   fTeamID;
	int32   fMetaShipID;
	char    fShipType[20];
	tDefendTeam3();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{};
};

#endif
