/********************************************************************************************************\

	File Name:	Met_17Patrol.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_17Patrol_h )
#define Met_17Patrol_h

#include "ScriptInterface.h"

// For EAW/OP detection
#include "soundnums.h"
#ifdef kSndPhaserFire
#define EAW 1
#else
#define OP 1
#endif

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)

enum eTeamTypes
{
	kDefendTeam1 = kTeam1,
	kAttackTeam1,
	kDefendTeam2,
	kDefendTeam3,
	kAttackTeam2,
	kAttackTeam3,
	kOrionTeam,
};

class tVictoryCondition;

class tMet_17Patrol : public tScript
{
public:

	enum eCommStates
	{};

	tMet_17Patrol();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual	void	mDefineBriefings( void );

	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif



