/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_NW5PlayerFleet",

	//
	//	Mission Title that the teams will see.
	//
	
	//	kTeamTitle_msg,
	"Zusammensto in den Tiefen des Raums",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Die Sensoren haben gegnerische Schiffe in unmittelbarer Nhe registriert. Ihr Auftrag ist einfach - vernichten Sie den Gegner, " \
	"bevor er Sie vernichtet.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sollen den Gegner in diesem Sektor angreifen.\n\n",

	//	kFedStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Es wurde uns befohlen, den Gegner anzugreifen.\n\n",

	//	kKliStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Unsere Befehle lauten, die gegnerischen Schiffe in diesem Sektor zu zerstren.\n\n",

	//	kRomStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Angriffseinsatz. Unsere Befehle lauten, den Gegner zu unterwerfen.\n\n",

	//	kLyrStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Es wurde uns befohlen, den Gegner zu vernichten.\n\n",

	//	kHydStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Es wurde uns befohlen, den Gegner zu vernichten.\n\n",

	//	kGorStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Unsere Befehle lauten, alle Gegner in diesem Sektor zu vernichten.\n\n",
	"Anschlieend sollen wir uns absetzen.",

	//	kISCStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Andere Vlker scheinen zu glauben, dass sie eine berragende Herausforderung fr uns darstellen. Unsere " \
	"Befehle lauten, ihnen das Gegenteil zu beweisen.\n\n",

	//	kMirStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir haben die Jagd auf den Gegner erffnet.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinner_msg,
	"Sie haben den Gegner erfolgreich unterworfen. Herzlichen Glckwunsch!\n\n",

	//	kDebTie_msg,
	"\n\n",

	//	kDebLoser_msg,
	"Unglcklicherweise war Ihr Versuch nicht von Erfolg gekrnt.\n\n",

	//
	//	Informative messages
	//

	//	kYouAreDead_msg,
	"Ihr Schiff wurde zerstrt!\n\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden!\n\n",

	// kDefeat_msg,
	"Niederlage!\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage!\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//

#else		////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_ED5FleetAction",

	//
	//	Mission Title that the teams will see.
	//
	
	//	kTeamTitle_msg,
	"Fleet Patrol",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Sensors have located enemy ships in the vicinity.  Your orders are simple -- destroy the enemy " \
	"before you are destroyed.\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Engage the enemy in this sector.\n\n",

	//	kFedStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. We are under orders to engage the enemy.\n\n",

	//	kKliStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. Our orders are to destroy enemy ships in this sector.\n\n",

	//	kRomStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on enemy engagement mission. Our orders are to subdue the enemy.\n\n",

	//	kLyrStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to destroy the enemy.\n\n",

	//	kHydStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. We are to destroy the enemy.\n\n",

	//	kGorStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to destroy any enemies located in this sector.\n\n",

	//	kISCStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. Other races appear to think they are a formidable challenge for us.  Our " \
	"orders are to prove them wrong.\n\n",

	//	kMirStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We are to destroy any enemies located in this sector.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinner_msg,
	"You successfully subdued the enemy.  Congratulations!\n\nMet_ED5FleetAction",

	//	kDebTie_msg,
	"A draw? Really? \n\nMet_ED5FleetAction",

	//	kDebLoser_msg,
	"Unfortunately, you were unsuccessful in your attempt.\n\nMet_ED5FleetAction",

	//
	//	Informative messages
	//

	//	kYouAreDead_msg,
	"Your ship has been destroyed!\n\n" \
	"Use 'T' to view other players...\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw!\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
#endif
};
