/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//kMissionTitle_msg,
	"Met_NWBasePlacement",

	//kShortBriefing_msg,
	">Patrouilleneinsatz<"
	"Ihnen wurde die Verantwortung fr die Patrouillen in diesem Sektor bergeben.",

	//kBriefing_msg,
	">Patrouillieren Sie in diesem Sektor. Greifen Sie den Gegner an, wenn er sich zeigt. Setzen Sie sich ab, wenn Sie zahlenmig stark unterlegen sind.<"
	"Sie wurden mit der Aufgabe betraut, in diesem Teil des Sektors Patrouillen zu fliegen. Dies ist eine wichtige Aufgabe und " \
	"fr unsere Interessen von vitaler Bedeutung. Ihre Mission besteht darin, alle merkwrdigen Vorkommnisse zu untersuchen und " \
	"jedes gegnerische Schiff anzugreifen. Wenn Sie allerdings zahlenmig stark unterlegen sind, sollten Sie sich absetzen. Uns bei Feindaktivitten in diesem Sektor zu warnen, " \
	"ist besser als mit diesem Wissen zu sterben.\n\n" \
	"Wegtreten.",

	//kFedStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir befinden uns auf Patrouillenflug in den Tiefen des Raums. Wir haben den Auftrag, " \
	"jedes gegnerische Schiff anzugreifen, auf das wir treffen. Sollten wir feststellen, dass wir zahlenmig stark unterlegen sind, sollen wir uns absetzen.",

	//kKliStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Whrend wir aus auf Patrouille befinden, sollen wir jedes gegnerische Schiff angreifen, auf das wir treffen, und wenn mglich " \
	"zerstren. Wenn wir in der Minderzahl sind, sollen wir uns absetzen.",

	//kRomStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Patrouillenflug in den Tiefen des Raums. Unsere Befehle lauten, jedes gegnerische Schiff anzugreifen, auf das wir treffen. "\
	"Wenn mglich, sollen wir sie zerstren, wenn wir in der Minderzahl sind, sollen wir uns absetzen.",

	//kLyrStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Unser Schiff ist auf einem Patrouillenflug. Wir haben den Auftrag, " \
	"alle gegnerischen Schiffe zu zerstren, auf die wir treffen, wenn wir jedoch zahlenmig berlegen sind, sollen wir uns absetzen.",

	//kHydStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einem Patrouillenflug fr das Knigreich. Wir sollen alle gegnerischen Schiffe zerstren, auf die wir treffen, "\
	"sollen uns aber nicht opfern, wenn wir zahlenmig unterlegen sind.",

	//kGorStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen alle gegnerischen Schiffe zerstren, auf die wir treffen. Wenn die gegnerischen Streitkrfte zahlenmig berlegen sind, " \
	"sollen wir uns absetzen.",

	//kISCStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir befinden uns auf einem Patrouillenflug. Wir haben den Auftrag, " \
	"alle gegnerischen Schiffe zu besiegen, auf die wir treffen. Wir haben Befehl, uns abzusetzen, wenn wir zahlenmig unterlegen sind.",

	//kMirStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Diese Jagd ist ein Patrouilleneinsatz. Wir haben Befehl, alle gegnerischen Schiffe zu zerstren, auf die wir treffen. Mglicherweise mssen wir " \
	"uns jedoch absetzen, wenn wir im Nachteil sind.",

	//kAllYourShipsDead_msg,
	"Alle Ihre Schiffe wurden zerstrt!\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",

	//kAttackAstoundingVictory_msg,
	"Groartiger Sieg\n\n",
	//kAttackVictory_msg,
	"Sieg\n\n",
	//kAttackDraw_msg,
	"Unentschieden\n\n",
	//kAttackDefeat_msg,
	"Niederlage\n\n",
	//kAttackDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kDefendAstoundingVictory_msg,
	"Groartiger Sieg\n\n",
	//kDefendVictory_msg,
	"Sieg\n\n",
	//kDefendDraw_msg,
	"Unentschieden\n\n",
	//kDefendDefeat_msg,
	"Niederlage\n\n",
	//kDefendDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Patrouille",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//kYouAreDead_msg,
	"",

	//kYouHaveDisengaged_msg,
	"Unser Team hat sich abgesetzt.\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",


#else
	//kMissionTitle_msg,
	"Met_NWBasePlacement",

	//kShortBriefing_msg,
	">Patrol duty<"
	"You have been assigned patrol duty, to patrol this area of space.",

	//kBriefing_msg,
	">Guard this area while we establish our new base.<"
	"You have been assigned the task of guarding this area of space.  This is an important job and " \
	"is vital to our interests.  A third party agent is reported to be working with our enemies " \
	"to thwart our efforts - this base MUST survive, at all costs!\n\n" \
	"Dismissed\n\n\n Modified by:\n Dave (Nuclear) Wessels: <NuclearWessels@hotmail.com>\n FireSoul: <firesoul@pet.dhs.org>",

	//kFedStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are on deep space patrol.  We are under orders to " \
	"engage any enemy encountered.  If we should find ourselves heavily outnumbered, we are to disengage.",

	//kKliStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  While on patrol, we are to engage any enemy encountered and destroy them " \
	"if possible.  If outnumbered, we are to disengage.",

	//kRomStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE], on deep patrol.  Our orders are to engage any enemy ships encountered. "\
	"We are to destroy them if possible, but disengage if outnumbered.",

	//kLyrStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE].  Our vessel is on patrol.  We are to destroy any " \
	"enemy ships encountered, but we are to disengage rather than die if outgunned.",

	//kHydStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE],  On patrol for the Kingdom.  We are to destroy any enemies encountered, "\
	"but we are not to sacrifice ourselves if met by an overwhelming force.",

	//kGorStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to destroy any enemy encountered.  If the enemy force is overwhelming, " \
	"we are to disengage.",

	//kISCStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE], on pacification patrol.  We are to defeat any " \
	"enemy ships encountered.  We are ordered to disengage if outnumbered.",

	//kMirStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We hunt on patrol.  We are ordered to destroy any enemy encountered.  We may " \
	"disengage if at a disadvantage.",

	//kAllYourShipsDead_msg,
	"All your ships have been destroyed!\n" \
	"Use 'T' to view other players...",

	//kAttackAstoundingVictory_msg,
	"Astounding Victory\n\nMet_NWBasePlacement",
	//kAttackVictory_msg,
	"Victory\n\nMet_NWBasePlacement",
	//kAttackDraw_msg,
	"Draw\n\nMet_NWBasePlacement",
	//kAttackDefeat_msg,
	"Defeat\n\nMet_NWBasePlacement",
	//kAttackDevastatingDefeat_msg,
	"Devastating Defeat\n\nMet_NWBasePlacement",

	//kDefendAstoundingVictory_msg,
	"Astounding Victory\n\nMet_NWBasePlacement",
	//kDefendVictory_msg,
	"Victory\n\nMet_NWBasePlacement",
	//kDefendDraw_msg,
	"Draw\n\nMet_NWBasePlacement",
	//kDefendDefeat_msg,
	"Defeat\n\nMet_NWBasePlacement",
	//kDefendDevastatingDefeat_msg,
	"Devastating Defeat\n\nMet_NWBasePlacement",

	//kLeftEarly_msg,
	"Forfeit.\n\nMet_NWBasePlacement",

	//kPlayerTeam1Title_msg,
	"Base placement",
//*********************************
	//kScanning_msg,
	"Beginning Scan...",

	//kYouAreDead_msg,
	"You have died.",

	//kYouHaveDisengaged_msg,
	"Your team has disengaged.\n" \
	"Use 'T' to view other players...",

	//kBaseDestroyed
	"The base has been destroyed.\n",

#endif
};