/********************************************************************************************************\

	File Name:	CommonPlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonPlayerTeam_h )
#define CommonPlayerTeam_h

#include "TeamInfo.h"
 

class tCommonPlayerTeam : public tTeamInfo
{
public:

	tCommonPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

public:

	void	mIncrementNumShips();
	void	mDecrementNumShips();
	int32	mNumShips();

	int32   fTeamID;
	int32	fMyShipID;
	int32	fNumShips;
	bool	fHumanControlled;
	eRace	fMyRace;
	std::string fShipType;
	std::string fShipName;
	int32 fShipMetaID;
	std::string fShipList[12];
};

#endif
