/********************************************************************************************************\

	File Name:	Met_5FleetAction.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_5FleetAction_h )
#define Met_5FleetAction_h

#include "ScriptInterface.h"

// For EAW/OP detection
#include "soundnums.h"
#ifdef kSndPhaserFire
#define EAW 1
#else
#define OP 1
#endif

class tMet_5FleetAction : public tScript
{
public:

	tMet_5FleetAction();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


